Tp::DBusProxy Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions | Protected Member Functions | List of all members
Tp::DBusProxy Class Reference

The DBusProxy class is a base class representing a remote object available over D-Bus. More...

`#include <TelepathyQt/DBusProxy>`

Inherits Tp::Object, and Tp::ReadyObject.

Inherited by Tp::StatefulDBusProxy, and Tp::StatelessDBusProxy.

## Signals
void | invalidated (Tp::DBusProxy *proxy, const QString &errorName, const QString &errorMessage)
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Public Member Functions
| DBusProxy (const QDBusConnection &dbusConnection, const QString &busName, const QString &objectPath, const Feature &featureCore)
virtual | ~DBusProxy ()
QDBusConnection | dbusConnection () const
QString | busName () const
QString | objectPath () const
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()
Public Member Functions inherited from Tp::ReadyObject
| ReadyObject (RefCounted *object, const Feature &featureCore)
| ReadyObject (DBusProxy *proxy, const Feature &featureCore)
virtual | ~ReadyObject ()
virtual bool | isReady (const Features &features=Features()) const
virtual PendingReady * | becomeReady (const Features &requestedFeatures=Features())
virtual Features | requestedFeatures () const
virtual Features | actualFeatures () const
virtual Features | missingFeatures () const

## Protected Member Functions
void | setBusName (const QString &busName)
void | invalidate (const QString &reason, const QString &message)
void | invalidate (const QDBusError &error)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)
Protected Member Functions inherited from Tp::ReadyObject
ReadinessHelper * | readinessHelper () const

## Detailed Description

The DBusProxy class is a base class representing a remote object available over D-Bus.

All Telepathy-Qt client convenience classes that wrap Telepathy interfaces inherit from this class in order to provide basic D-Bus interface information.

## Constructor & Destructor Documentation

Tp::DBusProxy::DBusProxy | ( | const QDBusConnection & | dbusConnection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | const Feature & | featureCore
| ) |  |

Construct a new DBusProxy object.

Parameters

  dbusConnection | QDBusConnection to use.
  busName | D-Bus bus name of the service that provides the remote object.
  objectPath | The object path.
  featureCore | The object core feature.

Tp::DBusProxy::~DBusProxy | ( |  | ) |
| virtual

Class destructor.

## Member Function Documentation

QDBusConnection Tp::DBusProxy::dbusConnection | ( |  | ) | const

Return the D-Bus connection through which the remote object is accessed.

Returns
  A QDBusConnection object.

QString Tp::DBusProxy::busName | ( |  | ) | const

Return the D-Bus bus name (either a unique name or a well-known name) of the service that provides the remote object.

Returns
  The D-Bus bus name.

QString Tp::DBusProxy::objectPath | ( |  | ) | const

Return the D-Bus object path of the remote object within the service.

Returns
  The D-Bus object path.

bool Tp::DBusProxy::isValid | ( |  | ) | const

Return whether this proxy is still valid (has not emitted invalidated()).

Returns
  `true` if still valid, `false` otherwise.

QString Tp::DBusProxy::invalidationReason | ( |  | ) | const

Return the error name indicating the reason this proxy became invalid.

Returns
  A D-Bus error name, or QString() if this object is still valid.

QString Tp::DBusProxy::invalidationMessage | ( |  | ) | const

Return a debugging message indicating the reason this proxy became invalid.

Returns
  A debugging message, or QString() if this object is still valid.

void Tp::DBusProxy::invalidated | ( | Tp::DBusProxy * | proxy,
|  | const QString & | errorName,
|  | const QString & | errorMessage
| ) |  |
| signal

Emitted when this object is no longer usable.

After this signal is emitted, any D-Bus method calls on the object will fail, but it may be possible to retrieve information that has already been retrieved and cached.

Parameters

  proxy | This proxy.
  errorName | The name of a D-Bus error describing the reason for the invalidation.
  errorMessage | A debugging message associated with the error.

void Tp::DBusProxy::setBusName | ( | const QString & | busName | ) |
| protected

Sets the D-Bus bus name. This is used by subclasses after converting well-known names to unique names.

Parameters

  busName | The D-Bus bus name to set.

void Tp::DBusProxy::invalidate | ( | const QString & | reason,
|  | const QString & | message
| ) |  |
| protected

Called by subclasses when the DBusProxy should become invalid.

This method takes care of setting the invalidationReason, invalidationMessage, and emitting the invalidated signal.

Parameters

  reason | A D-Bus error name (a string in a subset of ASCII, prefixed with a reversed domain name)
  message | A debugging message associated with the error

void Tp::DBusProxy::invalidate | ( | const QDBusError & | error | ) |
| protected